SDL_GetAndroidExternalStorageState(3)

NAME
SDL_GetAndroidExternalStorageState - Get the current state of external storage for this Android application.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GetAndroidExternalStorageState(void);

DESCRIPTION
The current state of external storage, a bitmask of these values:

SDL_ANDROID_EXTERNAL_STORAGE_READ ,

SDL_ANDROID_EXTERNAL_STORAGE_WRITE .

If external storage is currently unavailable, this will return 0.

RETURN VALUE
( Uint32 ) Returns the current state of external storage, or 0 if external storage is currently unavailable.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetAndroidExternalStoragePath(3)